﻿namespace IgHierarchicalGridSimpleDemo.Controllers
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;
    using IgHierarchicalGridSimpleDemo.Models;
    
    public class CategoriesController : Controller
    {
        public CategoriesController() : base()
        {
            Categories = new List<Category>();

            var beverages = new List<Product>()
            {
                new Product(1, "Coca cola"),
                new Product(2, "Pepsi"),
                new Product(3, "Fanta"),
                new Product(4, "Nestea"),
            };

            var beveragesCategory = new Category(1, "Beverages", "Soft drinks, coffees, teas, beers and ales", beverages);
            Categories.Add(beveragesCategory);

            var producibles = new List<Product>()
            {
                new Product(1, "Uncle Bob's Organic Dried Pears"),
                new Product(2, "Tofu"),
                new Product(3, "Manjimup Dried Apples"),
                new Product(4, "Longlife Tofu"),
            };

            var producedCategory = new Category(2, "Produce", "Dried food and bean curd", producibles);
            Categories.Add(producedCategory);

            var seaFood = new List<Product>()
            {
                new Product(1, "Salmon"),
                new Product(2, "Tuna"),
                new Product(3, "Nori"),
                new Product(4, "Oysters"),
            };

            var seaFoodCategory = new Category(3, "Sea Food", "Seaweed and fish", seaFood);
            Categories.Add(seaFoodCategory);
        }

        public ActionResult Index()
        {
            return View(Categories.AsQueryable());
        }

        private List<Category> Categories { get; set; }
    }
}